""" This module holds the constants of the ``translation`` app. """

from django.utils.translation import ugettext as _
from mtp.apps.brainstormers.models import BrainstormerTemplate
from mtp.apps.evaluations.models import Evaluation
from mtp.apps.roleplays.models import Roleplay
from mtp.apps.workshops.models import Workshop

ACTIVITIES_TO_TRANSLATE = [
    {'model': Workshop},
    {'model': Roleplay},
    {'model': BrainstormerTemplate},
    {'model': Evaluation},
]

FORBIDDEN = ['direct_duplicates', 'all_duplicates']

CONTENT_TYPE_ID = _('content_type_id')
OBJECT_ID = _('object_id')
CONTEXT = _('context')
FIELD_NAME = _('field name')
TEXT_TO_TRANSLATE = _('text to translate')
TEXT_TRANSLATED = _('target language')
HEADERS = [CONTENT_TYPE_ID, OBJECT_ID, CONTEXT, FIELD_NAME, TEXT_TO_TRANSLATE, TEXT_TRANSLATED]

PO_HEADERS = ['reference', 'context', 'text to translate', 'target language',
              'plural text to translate', 'plural target language']
COLUMNS_TO_HIDE = (1, 2)
NO_TRANSLATION = _("No translation.")
CELL_TITLE = 'D2'
